<?php

declare(strict_types=1);

namespace BitBag\SyliusBonusPointsPlugin\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

final class Configuration implements ConfigurationInterface
{
    /**
     * @inheritdoc
     */
    public function getConfigTreeBuilder(): TreeBuilder
    {
        $treeBuilder = new TreeBuilder('bit_bag_sylius_bonus_points');
        if (\method_exists($treeBuilder, 'getRootNode')) {
            $rootNode = $treeBuilder->getRootNode();
        } else {
            // BC layer for symfony/config 4.1 and older
            $rootNode = $treeBuilder->root('bit_bag_sylius_bonus_points');
        }

        $rootNode
            ->children()
            ->arrayNode('listeners')
                ->prototype('array')
                ->addDefaultsIfNotSet()
                ->children()
                    ->scalarNode('event')
                    ->isRequired()
                    ->cannotBeEmpty()
                ->end()
                    ->scalarNode('label')
                    ->isRequired()
                    ->cannotBeEmpty()
                ->end()
                    ->scalarNode('calculator_type')
                    ->isRequired()
                    ->cannotBeEmpty()
                ->end()
                    ->integerNode('priority')
                ->end()
            ->end()
            ->end();

        return $treeBuilder;
    }
}
