<?php

declare(strict_types=1);

namespace BitBag\SyliusBonusPointsPlugin\Entity;

use Sylius\Component\Core\Model\CustomerInterface;
use Sylius\Component\Resource\Model\TimestampableTrait;

class CustomerBonusPointsStrategy implements CustomerBonusPointsStrategyInterface
{
    use TimestampableTrait;

    protected int $id;

    protected CustomerInterface $customer;

    protected BonusPointsStrategyInterface $bonusPointsStrategy;

    public function __construct()
    {
        $this->createdAt = new \DateTime();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCustomer(): CustomerInterface
    {
        return $this->customer;
    }

    public function setCustomer(CustomerInterface $customer): self
    {
        $this->customer = $customer;

        return $this;
    }

    public function getBonusPointsStrategy(): BonusPointsStrategyInterface
    {
        return $this->bonusPointsStrategy;
    }

    public function setBonusPointsStrategy(BonusPointsStrategyInterface $bonusPointsStrategy): self
    {
        $this->bonusPointsStrategy = $bonusPointsStrategy;

        return $this;
    }
}
