<?php

declare(strict_types=1);

namespace BitBag\SyliusBonusPointsPlugin\Entity;

final class EligibleBonusPointsStrategy
{
    private BonusPointsStrategyInterface $bonusPointsStrategy;

    private int $bonusPointsAmount;

    public function __construct(BonusPointsStrategyInterface $bonusPointsStrategy, int $bonusPointsAmount)
    {
        $this->bonusPointsStrategy = $bonusPointsStrategy;
        $this->bonusPointsAmount = $bonusPointsAmount;
    }

    public function getBonusPointsStrategy(): BonusPointsStrategyInterface
    {
        return $this->bonusPointsStrategy;
    }

    public function getBonusPointsAmount(): int
    {
        return $this->bonusPointsAmount;
    }
}
